Subject: Re: linux-next: cpufreq tree build failure

From: Dave Jones <[email-masked]>
Date: Tue, 24 Feb 2009 11:51:03 -0500

On Tue, Feb 24, 2009 at 05:21:12PM +1100, Stephen Rothwell wrote:
 > Hi Dave,
 > 
 > Today's linux-next build (x86_64 allmodconfig) failed like this:
 > 
 > ERROR: "recalibrate_cpu_khz" [arch/x86/kernel/cpu/cpufreq/p4-clockmod.ko] undefined!
 > 
 > Caused by commit f20b61aa18b99d91c2a08f8863409bb8002d87fb ("[CPUFREQ] p4-clockmod reports wrong frequency").
 > 
 > I have dropped the cpufreq tree for today.
 
Odd. I fixed that up, as I noticed it when I first merged the diff.

Can you check that your tree has this bit..

diff --git a/arch/x86/include/asm/timer.h b/arch/x86/include/asm/timer.h
index 2bb6a83..4f5c247 100644
--- a/arch/x86/include/asm/timer.h
+++ b/arch/x86/include/asm/timer.h
@@ -11,8 +11,8 @@ unsigned long native_calibrate_tsc(void);
 
 #ifdef CONFIG_X86_32
 extern int timer_ack;
+#endif
 extern int recalibrate_cpu_khz(void);
-#endif /* CONFIG_X86_32 */

It's possible you cloned it just before I rebased it with that fix.

	Dave

-- 
http://www.codemonkey.org.uk